API documentation Web hosting accessible to everyone Visit LWS

Create domain redirection

POST https://api.lws.net/v1/domain/{domain}/redirect

operationIdpostDomainRedirect

Create a 301 (Moved permanently) or 302 (Found/Moved temporarily) redirection for the specified domain

Path parameters

domain string required

Domain whose redirection to create

Example: example.fr

Request body

  • type integer

    Redirection type (301 or 302)

    Example: 301

    required
  • redirection string

    URL to redirect to

    Example: https://www.example.com

    required
Example request
{
  "type": 301,
  "redirection": "https://www.example.com"
}

Responses

200

Redirection created successfully

{
  "code": 200,
  "info": "Added a new redirection",
  "data": {
    "type": 301,
    "redirection": "https://www.example.com"
  }
}
Response fields 5 Extends ApiEnvelope
  • code integer

    Application-level status/error code (not always equal to the HTTP status code)

    Example: 200

  • info string

    Human-readable message describing the result of the request

    Example: Added a new redirection

  • data object
  • type integer

    Type of redirection to use. 301 (Moved permanently) or 302 (Found/Moved temporarily)

    Example: 301

  • redirection string

    The URL to where the redirection will be performed

    Example: https://www.example.com

201

Unable to add redirection at this moment

{
  "code": 201,
  "info": "Could not add redirection",
  "data": {
    "type": 301,
    "redirection": "https://www.example.com"
  }
}
Response fields 5 Extends ApiEnvelope
  • code integer

    Application-level status/error code (not always equal to the HTTP status code)

    Example: 201

  • info string

    Human-readable message describing the result of the request

    Example: Could not add redirection

  • data object
  • type integer

    Type of redirection to use. 301 (Moved permanently) or 302 (Found/Moved temporarily)

    Example: 301

  • redirection string

    The URL to where the redirection will be performed

    Example: https://www.example.com

314

Domain not found on account

314 is not a registered HTTP status code. It is specific to this API.

{
  "code": 314,
  "info": "Provided domain has not been found on your account. You must own this domain to manage it."
}
Response fields 2 Extends ApiEnvelope
  • code integer

    Application-level status/error code (not always equal to the HTTP status code)

    Example: 314

  • info string

    Human-readable message describing the result of the request

    Example: Provided domain has not been found on your account. You must own this domain to manage it.

400

Invalid input

{
  "code": 400,
  "info": "Invalid input",
  "data": []
}
Response fields 3 Extends ApiEnvelope
  • code integer

    Application-level status/error code (not always equal to the HTTP status code)

    Example: 400

  • info string

    Human-readable message describing the result of the request

    Example: Invalid input

  • data object

    Details about validation errors

500

Internal Server Error

{
  "code": 500,
  "info": "Internal Server Error",
  "data": "string"
}
Response fields 3 Extends ApiEnvelope
  • code integer

    Application-level status/error code (not always equal to the HTTP status code)

    Example: 500

  • info string

    Human-readable message describing the result of the request

    Example: Internal Server Error

  • data string

    Error message

502

Bad Gateway

{
  "code": 502,
  "info": "Invalid response from upstream server",
  "data": []
}
Response fields 3 Extends ApiEnvelope
  • code integer

    Application-level status/error code (not always equal to the HTTP status code)

    Example: 502

  • info string

    Human-readable message describing the result of the request

    Example: Invalid response from upstream server

  • data object

    Invalid response returned by the server

401

Unauthorized - Missing authentication headers

{
  "code": 401,
  "info": "Unauthorized access to the API. Please specify X-Auth-Pass and X-Auth-Login to proceed."
}
Response fields 2
  • code integer

    Example: 401

  • info string

    Example: Unauthorized access to the API. Please specify X-Auth-Pass and X-Auth-Login to proceed.

429

Rate limit exceeded

{
  "code": 429,
  "info": "Rate limit exceeded. Please try again later."
}
Response fields 2
  • code integer

    Example: 429

  • info string

    Example: Rate limit exceeded. Please try again later.

Show the code examples and the test console
POST /domain/{domain}/redirect
LWS_AUTH_LOGIN='…'LWS_AUTH_PASS='…'curl -X POST \  "https://api.lws.net/v1/domain/example.fr/redirect" \  -H "X-Auth-Login: $LWS_AUTH_LOGIN" \  -H "X-Auth-Pass: $LWS_AUTH_PASS" \  -H "Content-Type: application/json" \  -d '{"type":301,"redirection":"https://www.example.com"}'
$lwsAuthLogin = '…';$lwsAuthPass = '…';$ch = curl_init("https://api.lws.net/v1/domain/example.fr/redirect");curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);curl_setopt($ch, CURLOPT_HTTPHEADER, [    "X-Auth-Login: " . $lwsAuthLogin,    "X-Auth-Pass: " . $lwsAuthPass,    "Content-Type: application/json",]);curl_setopt($ch, CURLOPT_POSTFIELDS, '{"type":301,"redirection":"https://www.example.com"}');$res = json_decode(curl_exec($ch), true);
import requestsLWS_AUTH_LOGIN = "…"LWS_AUTH_PASS = "…"res = requests.post(    "https://api.lws.net/v1/domain/example.fr/redirect",    headers={        "X-Auth-Login": LWS_AUTH_LOGIN,        "X-Auth-Pass": LWS_AUTH_PASS,    },    json={"type": 301, "redirection": "https://www.example.com"},)print(res.json())
const LWS_AUTH_LOGIN = "…";const LWS_AUTH_PASS = "…";const res = await fetch("https://api.lws.net/v1/domain/example.fr/redirect", {  method: "POST",  headers: {    "X-Auth-Login": LWS_AUTH_LOGIN,    "X-Auth-Pass": LWS_AUTH_PASS,    "Content-Type": "application/json",  },  body: JSON.stringify({"type":301,"redirection":"https://www.example.com"}),});const data = await res.json();
lwsAuthLogin := "…"lwsAuthPass := "…"body := strings.NewReader(`{"type":301,"redirection":"https://www.example.com"}`)req, _ := http.NewRequest("POST",    "https://api.lws.net/v1/domain/example.fr/redirect", body)req.Header.Set("X-Auth-Login", lwsAuthLogin)req.Header.Set("X-Auth-Pass", lwsAuthPass)req.Header.Set("Content-Type", "application/json")resp, err := http.DefaultClient.Do(req)